# Method: organizations.locations.vpcFlowLogsConfigs.patch

- [HTTP request](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/patch#try-it)

Updates an existing `VpcFlowLogsConfig`. If a configuration with the exact same settings already exists (even if the ID is different), the creation fails. Notes:

1. Updating a configuration with `state=DISABLED` will fail
2. The following fields are not considered as settings for the purpose of the check mentioned above, therefore - updating another configuration with the same fields but different values for the following fields will fail as well:
   - name
   - createTime
   - updateTime
   - labels
   - description

### HTTP request

`PATCH https://networkmanagement.googleapis.com/v1beta1/{vpcFlowLogsConfig.name=organizations/*/locations/*/vpcFlowLogsConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `vpcFlowLogsConfig.name` | `string` Identifier. Unique name of the configuration. The name can have one of the following forms: - For project-level configurations: `projects/{projectId}/locations/global/vpcFlowLogsConfigs/{vpcFlowLogsConfigId}` - For organization-level configurations: `organizations/{organization_id}/locations/global/vpcFlowLogsConfigs/{vpcFlowLogsConfigId}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. At least one path must be supplied in this field. For example, to change the state of the configuration to ENABLED, specify `updateMask` = `"state"`, and the `vpcFlowLogsConfig` would be: `vpcFlowLogsConfig = { name = "projects/my-project/locations/global/vpcFlowLogsConfigs/my-config" state = "ENABLED" }` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `updateMask`: - `networkmanagement.vpcflowlogsconfigs.update` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs#VpcFlowLogsConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).